.champions {
  background: linear-gradient($darkCommonColor 50px, rgb(42, 53, 73) 200px);

  &_header {
    padding: $paddingMedium $paddingMedium 0px $paddingMedium;
    & + .fullHistory-card-container {
      .champions_body-inner {
        min-height: 117px;
      }
    }
  }
  &_profile {
    display: flex;
    justify-content: space-between;
    min-height: 56px;
    &-icon {
      padding: 0px 0px 0px $paddingMini;
      img {
        max-height: 20px;
      }
    }
    &-title {
      color: #ffffff;
      text-transform: uppercase;
    }
    &-name {
      color: #00bac3;
      text-overflow: ellipsis;
      max-width: 250px;
      overflow: hidden;
    }
    &-rating {
      background-color: #1d283d;
      padding: $paddingMini - 2 $paddingDefault;
      border: 1px solid #3a4255;
      border-radius: 6px;
      text-align: center;
      margin-right: $marginMini;
      &-title {
        text-transform: uppercase;
        font-size: .675rem;
        color: #8f9095;
      }
      &-number {
        font-size: 1.125rem;
        font-weight: bold;
        color: #00bac3;
        display: flex;
        align-items: center;
        justify-content: space-around;
        img {
          max-width: 10px;
          margin-right: 5px;
        }
      }
    }
  }
  &_body {
    &-row {
      display: flex;
      &:nth-of-type(even) {
        .champions_body-col {
          &:first-child {
            background-color: #2f3c57;
            color: #ffffff;
          }
          &:last-child {
            background-color: #354360;
            text-align: center;
            color: #34cb51;
          }
        }
        &:not(.me):not(.red):not(.green) {
          .champions_body-col {
            &:first-child {
              background-color: #2f3c57;
            }
            &:last-child {
              background-color: #354360;
            }
          }
        }
      }
      &:nth-of-type(odd) {
        .champions_body-col {
          &:first-child {
            color: #ffffff;
          }
          &:last-child {
            text-align: center;
            color: #34cb51;
          }
        }
        &:not(.me):not(.red):not(.green) {
          .champions_body-col {
            &:first-child {
              background-color: #29364f;
            }
            &:last-child {
              background-color: #2f3e59;
            }
          }
        }
      }
      &.green {
        .champions_body-col {
          &:first-child {
            background-color: #2f4f56;
          }
          &:last-child {
            background-color: #35565f;
          }
        }
      }
      &.red {
        .champions_body-col {
          &:first-child {
            background-color: #3a364c;
          }
          &:last-child {
            background-color: #403e56;
          }
        }
      }
      &.me {
        .champions_body-col {
          &:first-child {
            background-color: #1f293c;
          }
          &:last-child {
            background-color: #253147;
          }
        }
      }
    }
    &-col {
      flex: 1;
      padding: $paddingMini $paddingMedium;
      position: relative;
      &-star {
        width: 14px;
        height: 14px;
        position: absolute;
        right: 8px;
        top: 0px;
        transform: translateY(10px);
      }
    }
    &-filters {
      display: flex;
      text-transform: uppercase;
      text-align: center;
      font-size: .875rem;
      .champions_body-col {
        padding: $paddingMini;
      }
      .flat_btn:not(.flat_btn-icon) {
        min-width: 80px;
      }
      .active {
        color: #00bac3;
        font-weight: bold;
      }
      &-left {
        background-color: #283349;
        display: flex;
        align-items: center;
        justify-content: center;
      }
      &-right {
        background-color: #37425d;
        display: flex;
        align-items: center;
        justify-content: center;
      }
    }
    &-inner {
      font-size: .875rem;
      &-title {
        display: flex;
        text-align: center;
        background-color: #1d283d;
        font-size: .725rem;
        text-transform: uppercase;
        .champions_body-col {
          &:first-of-type {
            text-align: left;
            padding-left: $paddingMedium * 2;
          }
          &:last-of-type {
            padding-right: $paddingLarge;
          }
        }
      }
    }
  }
}
